CLI:

agentmail inboxes:threads list --inbox-id <inbox_id>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

  • inbox_id string Required
    The ID of the inbox.

Query parameters

  • limit integer Optional
    Limit of number of items returned.
  • page_token string Optional
    Page token for pagination.
  • labels list of strings Optional
    Labels to filter by.
  • before datetime Optional
    Timestamp before which to filter by.
  • after datetime Optional
    Timestamp after which to filter by.
  • ascending boolean Optional
    Sort in ascending temporal order.
  • include_spam boolean Optional
    Include spam in results.
  • include_blocked boolean Optional
    Include blocked in results.
  • include_trash boolean Optional
    Include trash in results.

Response

This endpoint returns an object.

  • count integer
    Number of items returned.
  • threads list of objects
    Ordered by timestamp descending.
    • Show 16 properties
    • limit integer
      Limit of number of items returned.
    • next_page_token string
      Page token for pagination.

Errors

  • 404
    Not Found Error